#============================================================================
# prog_usage_cc.mk

%C%_PROG_USAGE_C_MK =

# the caller must set %C%_POD_SRC to the name of the pod source file
# e.g.:

#  %C%_POD_SRC = $(top_srcdir)/%D%/$(PACKAGE_NAME).pod
#  %C%_POD_SRC_%C% = $(srcdir)/bin.pod

%C%_POD_SRC +=


%D%/usage.c : $(%C%_POD_SRC)
	pod2text < $? \
	| ( cd %D% ; text2usage -name usage -pfx usage -csfx .c --hsfx .h)


MAINTAINERCLEANFILES	+= %D%/usage.c %D%/usage.h
EXTRA_DIST		+= %D%/usage.c %D%/usage.h
BUILT_SOURCES		+= %D%/usage.c

%D%/help.c : $(%C%_POD_SRC)
	pod2usage -verbose 1 $? \
	| ( cd %D% ; text2usage -name help -pfx help -csfx .c -hsfx .h)


MAINTAINERCLEANFILES	+= %D%/help.c %D%/help.h
EXTRA_DIST		+= %D%/help.c %D%/help.h
BUILT_SOURCES		+= %D%/help.c

